Subject: bug#50098: Configuring --with-libsigsegv results in link error

From: Evan Miller <[email-masked]>
Date: Mon, 23 Aug 2021 08:39:33 -0400

> On Aug 17, 2021, at 22:04, Evan Miller <[email-masked]> wrote:
> 
> 
>> On Aug 17, 2021, at 18:53, Paul Eggert <[email-masked]> wrote:
>> 
>> On 8/17/21 1:02 PM, Evan Miller wrote:
>> 
>>> Thanks for the patch. At present, the non-libsigsegv implementation does not compile on this machine for reasons described in
>>> https://trac.macports.org/ticket/63381
>> 
>> Oh, I see you're building for an old system (Mac OSX 10.4.11, circa 2007) that Apple itself is no longer supporting. Although we don't normally worry about such platforms, perhaps you can come up with a patch that clearly won't break mainline platforms.
> 
> A simple regex substitution (removing double underscores from the struct member names on the affected platform) seems to do the trick in the downstream package. If I have the time and cleverness I'll see about a proper patch.

Attached is a proposed patch to fix the compilation issue, designed by comparing the 10.4 and 10.5 SDKs. It relies on an implementation detail, but I think it's safe to say that the PowerPC headers are frozen at this point.

I have built it on 10.4. I'll try to find some volunteers on the MacPorts side to test on 10.5.